Bug 98976 - Page Up / Page Down do not work to change active slide in Outline View
Summary: Page Up / Page Down do not work to change active slide in Outline View
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
: 133684 (view as bug list)
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2016-03-30 09:27 UTC by Cor Nouws
Modified: 2022-06-26 03:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-03-30 09:27:45 UTC
Start presentation and some text on two slides, or open one
Choose View > Outline
Try Page Up / Page Down
 > Does not work
Only arrow Up / Down work :\
(Home / End do work :) ) 


Version: 5.2.0.0.alpha0+
Build ID: ef34535ceb60d7d63b8d8671e4c6e9e43ffbd17d
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-03-27_09:53:05
Locale: nl-NL (nl_NL.UTF-8)
Comment 1 Cor Nouws 2016-03-30 09:28:01 UTC
Is OK in 5.0.5.2 > regression
Comment 2 raal 2016-04-06 09:23:06 UTC
This seems to have begun at the below commit.
Adding Cc: to Yousuf ; Could you possibly take a look at this one? Thanks
 d42a7edd886a52fff1103bd0b6338de30f499db1 is the first bad commit
commit d42a7edd886a52fff1103bd0b6338de30f499db1
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Dec 9 04:10:34 2015 -0800

    source sha:9149dbf17329180e2c9e2fb39243c65acc07a182

    source sha:9149dbf17329180e2c9e2fb39243c65acc07a182

author	Yousuf Philips <philipz85@hotmail.com>	2015-11-20 05:40:59 (GMT)
committer	Yousuf Philips <philipz85@hotmail.com>	2015-12-07 15:44:08 (GMT)
commit 9149dbf17329180e2c9e2fb39243c65acc07a182 (patch)
tree b2105cf48204bd9364352eb3f76c2cae51919f11
parent bd7f0b0ba3391f3049cb3f2d7b70493a05362316 (diff)
tdf#91909 Add shortcuts to slide navigation
Comment 3 Yousuf Philips (jay) (retired) 2016-04-06 12:56:53 UTC
The shortcuts were assigned in the accelerator file in order for them to appear in the Slide > Navigate > To Previous Page and To Next Page. The change didnt affect Normal view, so its likely the underlying code commands should be fixed to also work in Outline view.

@Maxim: Is there a means of showing a shortcut in the menu bar that isnt assigned in the accelerator file, because i assigned shortcuts for Home and End and it caused negative behaviour, and one of the primary reasons for the entries to be in the menu was to have their shortcuts appear so users can learn them.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=758a50110aae8c0b339e3230b39f8d8343ce6bbc
Comment 4 Xisco Faulí 2016-09-26 15:49:24 UTC
Adding Cc: to Yousuf Philips
Comment 5 QA Administrators 2018-05-26 02:41:56 UTC Comment hidden (obsolete)
Comment 6 Cor Nouws 2019-06-14 19:52:59 UTC
similar in Version: 6.3.0.0.alpha1+
Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-31_15:33:33
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Buovjaga 2020-06-25 13:54:55 UTC
*** Bug 133684 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2022-06-26 03:31:49 UTC
Dear Cor Nouws,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug